var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Controller } from 'https://cdn.skypack.dev/stimulus';
import { connectStreamSource, disconnectStreamSource, } from 'https://cdn.skypack.dev/@hotwired/turbo';
var BranchesController = /** @class */ (function (_super) {
    __extends(BranchesController, _super);
    function BranchesController() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.path = '/branches/sse';
        return _this;
    }
    BranchesController.prototype.connect = function () {
        console.log("connecting to stream source " + this.path);
        this.eventSource = new EventSource(this.path);
        connectStreamSource(this.eventSource);
    };
    BranchesController.prototype.disconnect = function () {
        if (this.eventSource) {
            console.log("disconnecting from stream source " + this.path);
            disconnectStreamSource(this.eventSource);
            this.eventSource.close();
        }
    };
    return BranchesController;
}(Controller));
export { BranchesController };
